# No SOURCE spec-file
#
#
%define mozillalibdir %{_libdir}/%{name}
%define pluginsdir /usr/lib/mozilla/plugins


Summary:	Palemoon web browser
Name:		palemoon
Version:	27.0.3
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/WWW
URL:		http://www.palemoon.org/
Source3:	%{name}.png
Source4:	%{name}.desktop
#-----------------------------------------------------
Provides:	webclient
Requires:	indexhtml
Requires:   xdg-utils
Requires:	m4
Obsoletes:	%{name} < %version
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-----------------------------------------------------
AutoReqProv: no

%description
Pale Moon is an Open Source, Firefox-based web browser available for Linux,
focusing on efficiency and ease of use. Make sure to get the most out
of your browser!


%prep
#Here we go!
%ifarch %{ix86}
cd %_builddir
wget -nc http://linux.palemoon.org/files/%{version}/%{name}-%{version}.en-US.linux-i686.tar.bz2
tar -xvjf %{name}-%{version}.en-US.linux-i686.tar.bz2
%else
cd %_builddir
wget -nc http://linux.palemoon.org/files/%{version}/%{name}-%{version}.en-US.linux-x86_64.tar.bz2
tar -xvjf %{name}-%{version}.en-US.linux-x86_64.tar.bz2
%endif


%build
#nobuild


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


mkdir -p %{buildroot}%{mozillalibdir}
cp -r %name/* %{buildroot}%{mozillalibdir}


#compatibility links
mkdir -p %{buildroot}%{_bindir}
ln -sf %{mozillalibdir}/palemoon %{buildroot}%{_bindir}/palemoon

# Create an own %_libdir/mozilla/plugins
mkdir -p %{buildroot}/usr/lib/mozilla/plugins

mkdir -p %{buildroot}%{_datadir}/{pixmaps,applications}
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/%{name}.png

%find_lang %{name}

%post
rm -rf /etc/skel/.mozilla 
unset DISPLAY


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf %_builddir/*

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%dir %{_libdir}/%{name}
%{_libdir}/%{name}
%dir /usr/lib/mozilla
%dir %{pluginsdir}
%{_datadir}/pixmaps/*.png


%changelog
* Tue Feb 07 2017 adrianomorselli <adrianomorselli> 27.0.3-1uplos2017
- rebuild

* Thu Dec 22 2016 bb <bb> - 27.0.3-1pclos2017
- new version

* Sat Dec 10 2016 bb <bb> 27.0.2-1pclos2017
- update

* Tue Oct 11 2016 bb <bb> 26.5.0-1pclos2016
- update

* Mon Sep 19 2016 ghostbunny <ghostbunny at gmx dot de> 26.4.1-1pclos2016
- 26.4.1



